<?php
session_start(); 


include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/funcoes.php";
include "../phpconfig/slugfy.php";
include '../phpconfig/resize.php';    //Classe de resige GD2
include '../phpconfig/genpass.php';   //Geração de senhas

// ANTIGO titulo_pt

$nome_estado = mysql_real_escape_string($_POST['titulopc']);

$telefone_util_1 = mysql_real_escape_string($_POST['titulop1']);
$telefone_util_2 = mysql_real_escape_string($_POST['titulop2']);
$telefone_util_3 = mysql_real_escape_string($_POST['titulop3']);
$telefone_util_4 = mysql_real_escape_string($_POST['titulop4']);
$telefone_util_5 = mysql_real_escape_string($_POST['titulop5']);
$telefone_util_6 = mysql_real_escape_string($_POST['titulop6']);
$telefone_util_7 = mysql_real_escape_string($_POST['titulop7']);
$telefone_util_8 = mysql_real_escape_string($_POST['titulop8']);
$telefone_util_9 = mysql_real_escape_string($_POST['titulop9']);
$telefone_util_10 = mysql_real_escape_string($_POST['titulop10']);
$telefone_util_11 = mysql_real_escape_string($_POST['titulop11']);
$telefone_util_12 = mysql_real_escape_string($_POST['titulop12']);
$telefone_util_13 = mysql_real_escape_string($_POST['titulop13']);
$telefone_util_14 = mysql_real_escape_string($_POST['titulop14']);
$telefone_util_15 = mysql_real_escape_string($_POST['titulop15']);



$titulo_telefone_util_1 = mysql_real_escape_string($_POST['atitulop1']);

$titulo_telefone_util_2 = mysql_real_escape_string($_POST['atitulop2']);

$titulo_telefone_util_3 = mysql_real_escape_string($_POST['atitulop3']);

$titulo_telefone_util_4 = mysql_real_escape_string($_POST['atitulop4']);


$titulo_telefone_util_5 = mysql_real_escape_string($_POST['atitulop5']);


$titulo_telefone_util_6 = mysql_real_escape_string($_POST['atitulop6']);


$titulo_telefone_util_7 = mysql_real_escape_string($_POST['atitulop7']);


$titulo_telefone_util_8 = mysql_real_escape_string($_POST['atitulop8']);


$titulo_telefone_util_9 = mysql_real_escape_string($_POST['atitulop9']);


$titulo_telefone_util_10 = mysql_real_escape_string($_POST['atitulop10']);


$titulo_telefone_util_11 = mysql_real_escape_string($_POST['atitulop11']);


$titulo_telefone_util_12 = mysql_real_escape_string($_POST['atitulop12']);

$titulo_telefone_util_13 = mysql_real_escape_string($_POST['atitulop13']);

$titulo_telefone_util_14 = mysql_real_escape_string($_POST['atitulop14']);


$titulo_telefone_util_15 = mysql_real_escape_string($_POST['atitulop15']);






$id_cidade = mysql_real_escape_string($_POST['titulopb']);

// ANTIGO texto_pt

//$info = mysql_real_escape_string($_POST['depp']);

$id_uf = $_POST['estados'];
if(isset($_POST['nacional'])) 
{
	$nacional = 1;
}else{
	$nacional = 0;
}

if(isset($_POST['destaque'])) 
{
	$destaque = 1;
}else{
	$destaque = 0;
}


$id_cidade = ($_POST['cidades']);

// ANTIGO texto_pt

$info = str_replace('../../assets/uploads/noticias/', 'images/', $info);

    $data_cad      =troca_data($_POST['data']);
        $slug       = slugfyURL($_POST['slug']); 
$img = $_FILES['imagem'];

// ANTIGO titulo_pt


$slug = trim($slug);
if(strlen($slug)==0) { $slug=slugfyURL($nome_estado); }
$id = $_POST['id'];

$img = $_FILES['imagem'];


$uploadDir = sti('up')."noticias/";

$uploadDir  = $_SERVER['DOCUMENT_ROOT'] . $uploadDir;


$fileTypes = array('jpg', 'jpeg', 'gif', 'png'); // Allowed file extensions

if (!empty($img)) {
	$tempFile   = $img['tmp_name'];
	$arch = slugfyUp($img['name']);
	$name = simplesPass(array(1,0,1,0),4)."-".$arch;
	$targetFile = $uploadDir . $name ;


	// Validate the filetype
	$fileParts = pathinfo($img['name']);
	if (in_array(strtolower($fileParts['extension']), $fileTypes)) {

		move_uploaded_file($tempFile, $targetFile);

		$resizeObj = new resize($targetFile);

		// Resize image (options: exact, portrait (pela lagura), landscape(pela altura), auto, crop)
		$resizeObj -> resizeImage(800, 476, 'portrait');
		$resizeObj -> saveImage($uploadDir.'full-'.$name, 80);
		$resizeObj -> resizeImage(588, 350, 'crop');
		$resizeObj -> saveImage($uploadDir.$name, 80);
		
		
		
	
// ALTEARAR NOME DO BANCO



		mysql_query("UPDATE l_util_estado SET imagem='$name' WHERE id='$id'") or die(mysql_error());


	}
}



// ALTEARAR NOME DO BANCO



mysql_query("UPDATE l_util_estado SET

nome_estado='$nome_estado',
telefone_util_1='$telefone_util_1',
telefone_util_2='$telefone_util_2',
telefone_util_3='$telefone_util_3',
telefone_util_4='$telefone_util_4',
telefone_util_5='$telefone_util_5',
telefone_util_6='$telefone_util_6',
telefone_util_7='$telefone_util_7',
telefone_util_8='$telefone_util_8',
telefone_util_9='$telefone_util_9',
telefone_util_10='$telefone_util_10',
telefone_util_11='$telefone_util_11',
telefone_util_12='$telefone_util_12',
telefone_util_13='$telefone_util_13',
telefone_util_14='$telefone_util_14',
telefone_util_15='$telefone_util_15',

titulo_telefone_util_1='$titulo_telefone_util_1',
titulo_telefone_util_2='$titulo_telefone_util_2',
titulo_telefone_util_3='$titulo_telefone_util_3',
titulo_telefone_util_4='$titulo_telefone_util_4',
titulo_telefone_util_5='$titulo_telefone_util_5',
titulo_telefone_util_6='$titulo_telefone_util_6',
titulo_telefone_util_7='$titulo_telefone_util_7',
titulo_telefone_util_8='$titulo_telefone_util_8',
titulo_telefone_util_9='$titulo_telefone_util_9',
titulo_telefone_util_10='$titulo_telefone_util_10',
titulo_telefone_util_11='$titulo_telefone_util_11',
titulo_telefone_util_12='$titulo_telefone_util_12',
titulo_telefone_util_13='$titulo_telefone_util_13',
titulo_telefone_util_14='$titulo_telefone_util_14',
titulo_telefone_util_15='$titulo_telefone_util_15',



id_cidade='$id_cidade',id_uf='$id_uf'WHERE id='$id'", $con) or die(mysql_error());


  
header("location:edit.php?id=$id");